Bug 823164 - Gnome Subtitles does not start
Summary: Gnome Subtitles does not start
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-subtitles   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-19 15:52 UTC by Răzvan Sandu
Modified: 2013-04-03 05:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 05:26:35 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Răzvan Sandu 2012-05-19 15:52:39 UTC
Description of problem:

After upgrading to Fedora 17 beta (via preupgrade), Gnome Subtitles does not start at all and /var/log/messages says:


[user@workstation ~]$ gnome-subtitles
Got 23 languages.

Unhandled Exception: GnomeSubtitles.Ui.VideoPreview.Exceptions.PlayerCouldNotInitiateEngineException: An application exception has occurred.
  at GnomeSubtitles.Ui.VideoPreview.Player.InitializePlaybin () [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Ui.VideoPreview.Player..ctor (Gtk.AspectFrame aspectFrame) [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Ui.VideoPreview.Video.InitializePlayer () [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Ui.VideoPreview.Video..ctor () [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Ui.MainUi..ctor (GnomeSubtitles.Core.EventHandlers handlers, Glade.XML& glade) [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Core.Base.Init (GnomeSubtitles.Execution.ExecutionContext newExecutionContext) [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Core.Base.Run (GnomeSubtitles.Execution.ExecutionContext executionContext) [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Execution.Executable.Main (System.String[] args) [0x00000] in <filename unknown>:0 
[ERROR] FATAL UNHANDLED EXCEPTION: GnomeSubtitles.Ui.VideoPreview.Exceptions.PlayerCouldNotInitiateEngineException: An application exception has occurred.
  at GnomeSubtitles.Ui.VideoPreview.Player.InitializePlaybin () [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Ui.VideoPreview.Player..ctor (Gtk.AspectFrame aspectFrame) [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Ui.VideoPreview.Video.InitializePlayer () [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Ui.VideoPreview.Video..ctor () [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Ui.MainUi..ctor (GnomeSubtitles.Core.EventHandlers handlers, Glade.XML& glade) [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Core.Base.Init (GnomeSubtitles.Execution.ExecutionContext newExecutionContext) [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Core.Base.Run (GnomeSubtitles.Execution.ExecutionContext executionContext) [0x00000] in <filename unknown>:0 
  at GnomeSubtitles.Execution.Executable.Main (System.String[] args) [0x00000] in <filename unknown>:0 




Version-Release number of selected component (if applicable):
gnome-subtitles-1.2-2.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Launch gnome-subtitles (by double-clicking icon or by typing in terminal)

  
Actual results:
gnome-subtitles crashes and won't start.

Expected results:
gnome-subtitles should start normally.

Comment 1 Julian Sikorski 2012-06-03 08:07:17 UTC
Sorry it took me so long to respond, this report has somehow slipped under the radar.
Anyhow, it works fine for me on an up-to-date F-17 install, could you re-test please?

Comment 2 Răzvan Sandu 2012-06-03 18:24:06 UTC
Hello,

No, gnome-subtitles starts normally if invoked as root, but I get the above error if I invoke it as a regular user.

Răzvan

Comment 3 Julian Sikorski 2012-06-03 21:53:42 UTC
Hmm, seems like your config might have become corrupted. Would you mind trying creating a fresh user account and trying from there?

Comment 4 Julian Sikorski 2013-04-02 18:46:34 UTC
I just pushed 1.3 to updates-testing on f-18 and later, would you mind re-testing?

Comment 5 Răzvan Sandu 2013-04-02 21:09:44 UTC
Hello,

I may confirm that the program (version 1.2) launches in Fedora 18 (with all updates applied, as of April 2nd, 2013).

Many thanks,
Răzvan


Note You need to log in before you can comment on or make changes to this bug.